Package org.eclipse.microprofile.config.tck.base

## Class AbstractTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.base.AbstractTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

    public class AbstractTest
    extends org.jboss.arquillian.testng.Arquillian

Author:
  Mark Struberg

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
`AbstractTest()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addFile​(org.jboss.shrinkwrap.api.container.ResourceContainer<?> archive, String originalPath)`
`static void` `addFile​(org.jboss.shrinkwrap.api.container.ResourceContainer<?> archive, String originalFile, String targetFile)`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTest

    public AbstractTest()

### Method Detail

#### addFile

    public static void addFile​(org.jboss.shrinkwrap.api.container.ResourceContainer<?> archive,
                               String originalPath)

#### addFile

    public static void addFile​(org.jboss.shrinkwrap.api.container.ResourceContainer<?> archive,
                               String originalFile,
                               String targetFile)